;
; Config file reference:
; https://github.com/OfflineIMAP/offlineimap/blob/master/offlineimap.conf
;

[general]
accounts = mailserver

# This specifies where Offlineimap is to store its metadata.
# This directory will be created if it does not already exist.
metadata = ~/Desktop/ImapBackup/metadata

[Account mailserver]
localrepository = LocalBackup
remoterepository = IMAP
maildir-windows-compatible = yes

[Repository LocalBackup]
type = Maildir
localfolders = ~/Desktop/ImapBackup/maildir

# Propagate deletions from local to remote. Messages deleted in this repository
# won't get deleted on remote if set to "no". Default is yes.
# I set this mostly for paranoia, and because I use aggressive archiving of mails.
sync_deletes = no

[Repository IMAP]
type = IMAP

remotehost = REPLACEME
remoteport = 993

ssl = yes
tls_level = tls_secure
ssl_version = tls1_2

remoteuser = REPLACEME
remotepass = REPLACEME

# For macOS, the easiest way to get a CA bundle:
# wget -O ~/ca-bundle.pem
https://raw.githubusercontent.com/bagder/ca-bundle/master/ca-bundle.crt
# On Linux, use the system one (check https://serverfault.com/a/722646 for paths)
sslcacertfile = ~/ca-bundle.pem